# Tick-loop for animation
execute if score style at_s_config matches 1 run scoreboard players add tick at_s_animation 1
execute if score style at_s_config matches 1 if score tick at_s_animation >= animated_speed at_s_config run function at-abar:rotate
execute if score style at_s_config matches 1 if score tick at_s_animation >= animated_speed at_s_config run scoreboard players set tick at_s_animation 0

# Write timer scores to temporary storage & pad to two digits
execute if score render at_s_config matches 0 run function at-abar:store0

# Generate style settings from scoreboard values
function at-abar:stylegen

# Generate paused information (conditionally append "(paused)")
function at-abar:pausegen

# Colons and zeroes + Static
execute if score render at_s_config matches 0 if score style at_s_config matches 0 run function at-abar:static/caz with storage animated-timer:data at.temporary.actionbar.static.out

# Colons and zeroes + Animated
execute if score render at_s_config matches 0 if score style at_s_config matches 1 run function at-abar:animated/caz with storage animated-timer:data at.temporary.actionbar.animated.out

# Spaces and zeroes + Static
execute if score render at_s_config matches 1 if score style at_s_config matches 0 run function at-abar:static/saz with storage animated-timer:data at.temporary.actionbar.static.out

# Spaces and zeroes + Animated
execute if score render at_s_config matches 1 if score style at_s_config matches 1 run function at-abar:animated/saz with storage animated-timer:data at.temporary.actionbar.animated.out

# Spaces no zeroes + Static
execute if score render at_s_config matches 2 if score style at_s_config matches 0 run function at-abar:static/snz with storage animated-timer:data at.temporary.actionbar.static.out

# Spaces no zeroes + Animated
execute if score render at_s_config matches 2 if score style at_s_config matches 1 run function at-abar:animated/snz with storage animated-timer:data at.temporary.actionbar.animated.out
