# ADD SCOREBOARDS
# Scoreboards / Store
scoreboard objectives add at_s_state dummy
scoreboard objectives add at_s_config dummy
scoreboard objectives add at_s_animation dummy
scoreboard objectives add at_s_profiles dummy

# Scoreboards / Count
scoreboard objectives add at_c_time dummy

# Scoreboards / Temporary
scoreboard objectives add at_t_interact dummy
scoreboard objectives add at_t_profout dummy

# ANIMATIONS
# Load all animations
function at-misc:animation/load

# INITIALIZE
# Load counter; run init function at first load
scoreboard players add init at_s_state 1
execute if score init at_s_state matches 1 run function at-main:init

# APPLY PATCHES
# v1.0.0 > v1.0.1
execute unless score version at_s_state matches 100010.. run scoreboard players set main at_s_state 1
execute unless score version at_s_state matches 100010.. run scoreboard players set trigger at_s_state 1
execute unless score version at_s_state matches 100010.. run scoreboard players set visibility at_s_state 1
execute unless score version at_s_state matches 100010.. run scoreboard objectives add visibility trigger
execute unless score version at_s_state matches 100010.. run scoreboard players set version at_s_state 100010

# v1.0.1 > v1.1.0
execute unless score version at_s_state matches 101000.. run data modify storage animated-timer:data at.temporary.patch.101000.rdmigrate set value "red-dark"
execute unless score version at_s_state matches 101000.. store result score rdmigrate at_t_interact run data modify storage animated-timer:data at.temporary.patch.101000.rdmigrate set from storage animated-timer:data at.configuration.style.animation
execute unless score version at_s_state matches 101000.. if score rdmigrate at_t_interact matches 0 run data modify storage animated-timer:data at.configuration.style.animation set value "red-fade"
execute unless score version at_s_state matches 101000.. run function at-abar:init
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove animation
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove delete
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove list
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove load
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove save
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives remove view
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add list-animations trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add load-animation trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add delete-profile trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add list-profiles trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add load-profile trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add save-profile trigger
execute unless score version at_s_state matches 101000.. if score trigger at_s_state matches 1 run scoreboard objectives add view-profile trigger
execute unless score version at_s_state matches 101000.. run scoreboard players set version at_s_state 101000

# Tellraw
tellraw @a {"color":"aqua","text":"[AT] Datapack loaded"}
