# Check if profile exists
$execute store success score profdel at_t_interact run data get storage animated-timer:data at.profiles.content.$(name).render

# Print profile data
$execute if score profdel at_t_interact matches 1 run tellraw @s {"color":"aqua","text":"[AT] Removed profile $(name)"}

# Print error message
$execute if score profdel at_t_interact matches 0 run tellraw @s {"color":"red","text":"[AT] Could not delete $(name); this profile does not exist"}

# Remove profile storage
$execute if score profdel at_t_interact matches 1 run data remove storage animated-timer:data at.profiles.content.$(name)

# Decrement profile count by one
execute if score profdel at_t_interact matches 1 run scoreboard players remove count at_s_profiles 1

# Reset deletion index
execute if score profdel at_t_interact matches 1 run scoreboard players set profdelidx at_t_interact 0

# Write deletion index to temporary storage
execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact

# Write name macro to temporary storage
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"

# Call profile deletion function with temporary storage
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete

# Exit if match was found (list element deleted)
execute if score profmatch at_t_interact matches 0 run return 1

# Repeat last four functions 63 times
execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1

execute store result storage animated-timer:data at.temporary.profiles.delete.current int 1 if score profdel at_t_interact matches 1 run scoreboard players get profdelidx at_t_interact
$execute if score profdel at_t_interact matches 1 run data modify storage animated-timer:data at.temporary.profiles.delete.name set value "$(name)"
execute as @s if score profdel at_t_interact matches 1 run function at-misc:profile/trydelete with storage animated-timer:data at.temporary.profiles.delete
execute if score profmatch at_t_interact matches 0 run return 1
